package io.reisub.dreambot.cagility;

import org.dreambot.api.methods.interactive.GameObjects;
import org.dreambot.api.methods.interactive.Players;
import org.dreambot.api.methods.map.Area;
import org.dreambot.api.methods.map.Tile;
import org.dreambot.api.wrappers.interactive.GameObject;

public class Obstacle {
    private final int id;
    private final Area area;
    private final Tile[] walkingTiles;
    private Obstacle next;

    public Obstacle(int id, Area area, Tile... walkingTiles) {
        this.id = id;
        this.area = area;
        this.walkingTiles = walkingTiles;
    }

    public int getID() {
        return this.id;
    }

    public GameObject getGameObject() {
        return GameObjects.closest(getID());
    }

    public Obstacle getNext() {
        return this.next;
    }

    public void setNext(Obstacle next) {
        this.next = next;
    }

    public boolean isPlayerInArea() {
        return area.contains(Players.localPlayer());
    }

    public Tile[] getWalkingTiles() {
        return walkingTiles;
    }
}
